~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
22 декабря 2011: Friendly Pinger 5.0.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Friendly Pinger стал бесплатным.

Посетите наш веб-сайт для дополнительной информации:
http://www.kilievich.com

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
27 декабря 2004: Friendly Pinger 5.0
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Коротко: мульти-карты, сервер-карт, режим правки,
         разные способы опроса (не только ping),
         разный фон для карт, надписи, прямоугольники,
         PNG, FTP, FAR, соединение хабов с хабами,
         оповещение на хабы, плагины, API,
         e-mail авторизация, новая панель управления,
         серьезное ускорение, переделанное ядро,
         исправление старых ошибок.

Общее:

+ Added: Румынский и немецкий язык интерфейса.

+ Added: Благодаря встроенной в продукт системе оповещения об ошибках
         (активизируется при возникновении ошибки)
         было получено и обработано достаточно большое количество отчетов.
         Причины почти всех ошибок нам удалось обнаружить и устранить.
         Большое спасибо всем, кто соглашался с просьбой системы отправить нам отчет.
         Благодаря Вам наши продукты становятся еще более надежными.

+ Added: Отказ от e-mail оповещения о новых версиях.
         Теперь оповещение о новых версиях встроено в программу и включается по желанию пользователей.
         "Файл|Настройка|Другое|Проверять наличие новой версии при запуске"
 
+ Added: "Create shortcut in Quick Launch panel" в процессе инсталляции.

Карта:

+ Added: Открытие нескольких карт за раз.

+ Added: Отображение режима редактирования и изменения карты на закладках.

+ Added: Сервер карт - позволяет пользователям автоматически обновлять карты,
         а администраторам синхронизированно их редактировать.
         "Помощь|Настройки|Сервер карт".
 
+ Added: "Файл|Настройки|Карты".
 
+ Added: Режим просмотра/редактирования с блокировкой карты на запись.
         "Вид|Включить режим редактирования"

+ Added: "Файл|Обновить карту".

+ Added: Меню "Файл|Переоткрыть" теперь продублировано на панеле управления,
         рядом с кнопкой открытия карты.
 
+ Added: Плагины - позволили разнообразить способы опроса устройств и создавать новые.
 
+ Added: Настройки внешнего вида теперь сохраняются вместе с картой.
 
+ Added: Добавление надписей/прямоугольников.

+ Added: Выравнивание по центру по горизонтали.
 
+ Added: Запуск внешних команд для всех выделенных устройств.
 
+ Added: Поддержка e-mail серверов, требующих авторизацию.
         (Файл|Настройки|E-Mail|Сервер требует авторизацию)
 
+ Added: Экспорт в PNG.

+ Added: Экспорт на FTP.

+ Added: Поддержка FTP для
         "Оповещение|Параметры оповещения|Показывать события на Web странице".

+ Added: Возможность экспорта без фоновой картинки.

+ Added: Значительное ускорение анимации.
         Загрузка процессора уменьшена на порядок.

+ Added: Значительное ускорение перемещения объектов.

+ Added: Значительно ускорено открытие карт,
         за счет кэширования графа под-карт.
         Еще более ускорено открытие под-карт,
         за счет того, что они всегда берутся из кэша.
         Чтобы заново перечитать из файла, используйте "Файл|Открыть".
 
+ Added: Новый способ внутренней привязки оповещений к устройствам - по идентификаторам.
         Позволил назначать оповещения для безадресных устройств (хабы, свичи и т.д.).
 
+ Added: Оповещение сразу по нескольким картам.

+ Added: Теперь безадресные устройства (хабы свичи и т.п.) можно соединять друг с другом.
         В этом случае они выступают как один объект, т.е.
         все связанные между собой хабы будут включены,
         если хотя бы вокруг одного из них будет включенное устройство.
 
+ Added: Оповещение на остановку/запуск для безадресных устройств (хабы/свичи).
         Позволяет задать "сложные условия", например,
         когда несколько определенных устройств остановятся.
 
+ Added: Хранение всех кадров анимации в одном битмэпе - экономия памяти и
         значительное уменьшение количества используемых GDI объектов.
         Было особенно критично в Windows 9x/ME.
 
+ Added: Упрощена работа с внешними командами.
         Теперь их интерфейс перенесен в 'Файл|Параметры|Команды'.
 
+ Added: Пересортировка внешних команд.

+ Added: Запоминание приостановленных устройств при выходе.
 
+ Added: Открытие устройств в FAR'е.

+ Added: Типы линий (Файл|Настройки|Линии).

+ Added: Для линий можно указывать длину и тип.

+ Added: Новый стиль диалога информации о карте.

+ Added: Отображение количества линий каждого типа на карте и их длины
         (Вид|Информация о карте|Типы линий)
 
+ Added: В качестве имени устройства теперь можно использовать макрос: %Address

+ Added: Панель управления полностью переделана.

+ Added: Trace Route для дополнительных адресов.

+ Added: Поиск устройств в под-картах по дополнительной информации.

+ Added: Обобщенный поиск.

+ Added: Отображение координат мыши при перемещении.

+ Added: Теперь при выключенном режиме редактирования
         Enter срабатывает как двойной щелчек по устройству,
         а не как вызов диалога настроек.
 
+ Added: Возможность изменить цвет сразу нескольких линий.

+ Added: Теперь можно мышкой указать позицию для вставки вершины линии.

+ Added: Теперь включение сетки (удерживание Ctrl)
         распространяется и на добавление линий.
 
+ Added: Теперь линии можно таскать за ребро.

+ Added: Возможность использовать ключи %Time и %Name
         в параметрах внешней команды оповещения.
 
+ Added: Автоматическое перемещение скроллеров
         при выделении объектов рамкой.
 
+ Added: F2 - вызвать диалог настройки выделенного объекта.

+ Added: Ctrl+A (выделить всех) в Lite версии.

+ Added: Контекстное меню Ping/Trace в Lite версии.

+ Added: Возможность сканировать все устройства, а не только включенные.

+ Added: Ускорена отрисовка карты.

+ Added: Запоминание последних позиций карт.

+ Added: F5 пингует устройства, даже если включен режим паузы.

+ Added: "Копировать адрес" в контекстном меню устройства.

+ Added: Кнопка "Заменить" в окне оповещений.

+ Added: Плагины потребовали новый способ запоминания состояний устройств.
         Изменен формат файла Status.dat.
 
+ Added: Отказ от серверной части (FPServer), перенос ее на плагины.

+ Added: Упрощена настройка дополнительных адресов.

+ Added: ESC во время добавления линии теперь отменяет добавление,
         а не сворачивает приложение.
       
+ Added: Дата прокладки кабеля в настройках линии.

+ Added: Иконка для свичей (Switch.gif)

+ Fixed: Мелькание краев при таскании карты.
 
* Fixed: Баг с картинками модема и миникомпьютера.
 
* Fixed: Ошибка при работе с некоторыми почтовыми серверами.

* Fixed: После вызова файловых диалогов менялась текущая директория программы.

* Fixed: Иконки в подсказках не прозрачные, когда gif.

* Fixed: Исправлены некоторые проблемы с панелью управления.

* Fixed: Баг с залитием карты красным цветом
         при включенной трассировке и переходе на другую карту.
 
* Fixed: Мелькание дополнительных адресов в процессе пингования.

* Fixed: Баг при выборе цвета из стандартных наборов.

* Fixed: Баг при поиске устройств при большой вложенности карт.

* Fixed: Очень сильная загрузка процессора при перемещении объектов.

* Fixed: Одинаковые IP адреса, по разному записанные, считались разными,
         например, 127.0.0.1 и 127.0.0.01
 
* Fixed: Проблема с появлением лишних полос прокруток.

* Fixed: Зацикливание пингования устройства, если во время перепроверки удалить оповещение.

* Fixed: Баг с переносом букв в подсказках.

* Fixed: Диалог настройки панелей управления не был переведен.

Соединения:

+ Added: Статусная строка.
+ Added: Новый стиль диалога настроек.
+ Added: "Параметры|Оповещение|Только согласно списку".
+ Added: "Параметры|Оповещение|Проигрывать звуковой файл".
+ Added: "Параметры|Служба".
+ Added: "Параметры|Другое'.
+ Added: "Параметры|Удаленно|Выбрать".
+ Added: Период опроса в миллисекундах.
+ Added: Горячие клавиши для некоторых операций.
+ Added: "Щелчек правой кнопкой мыши|Отчет'.
+ Added: Отображение обозреваемого компьютера в заголовке.
+ Added: Теперь имя компьютера или пользователя в черном/белом списке
         может быть задано в виде маски:
          * - любые символы;
          ? - любой символ;
          | - всё, что дальше - исключающая маска.
+ Added: Режим - сбрасывать всех, когда запущено определенное приложение.
+ Added: Возможность запоминать соединения только с открытыми файлами.
+ Added: Слегка улучшен звуковой файл оповещения.

* Fixed: Не запоминался размер информационной панели.
* Fixed: Баг с проверкой только по имени компьютера в черном/белом списке.
* Fixed: Фатальная ошибка при удалении из списка компьютера, 
         контекстное меню которого просматривается.
* Fixed: При выборе оповещения только о соединениях,
         оно вызывалось при открытии любого файла.

Инвентаризация:

+ Added: Новый продукт: Friendly Network Inventory - инвентаризация из FPinger.
+ Added: Новый стиль окна настроек.
+ Added: Поддержка e-mail серверов, требующих авторизацию.
         (Настройка|Параметры|E-Mail|Сервер требует авторизацию)
+ Added: Экспорт отделов в SQL/ADO/Текст.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
28 июля 2003: Friendly Pinger 4.2.3
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

* Fixed: Небольшие проблемы при инсталляции.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
26 июля 2003: Friendly Pinger 4.2.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Эта промежуточная версия была собрана в результате выпуска Friendly Net Watcher.

+ Added: Новый продукт: Friendly Net Watcher - это 'Соединения' из FPinger.
+ Added: 'Соединения' переназваны как 'FWatcher'.
+ Added: Небольшие изменения в справочном руководстве.
+ Added: Изменение в лицензионном соглашении.
         Теперь одна лицензия дает право на использование программы на одном компьютере в одно время.
         Исключение для пользователей, зарегистрированных до 27 июля 2003,
         они могут использовать старую лицензию.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
11 июля 2003: Friendly Pinger 4.2.1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Эта промежуточная версия была собрана в результате выпуска Friendly Net Viewer.

+ Added: Новый продукт: Friendly Net Viewer - тот же FPinger, только без возможности инвентаризации.
+ Added: Новая ценовая политика в результате выпуска FViewer'а.
+ Added: Небольшие изменения в алгоритме хранения информации о регистрации (для безопасности).
         Зарегистрированные пользователи должны заново ввести регистрационные ключи, полученные ранее.
+ Added: Небольшие изменения в справочном руководстве.
+ Added: Польский язык интерфейса.

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
4 мая 2003: Friendly Pinger 4.2
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

+ Added: Теперь поддержка схем Windows XP не требует manifest-файла.
+ Added: Новые дополнительные иконки (смотрите файл Images.more\Preview.html).
+ Added: Поддержка Subst-дисков в инвентаризации.
+ Added: Более быстрое открытие карт.
+ Added: Колонка COMMENT (в Templates\SQL.sql) заменена на CLASS_COMMENT,
         т.к. это зарезервированное слово в Oracle.

* Fixed: FPinger не запускался в Windows 2003.
* Fixed: Ошибка при запуске второго FPinger'а с запущенной инвентаризацией.
* Fixed: Ошибка при подсчете IP адресов в информации о карте.
* Fixed: Ошибка при получении инвентаризации с других компьютеров.
* Fixed: Мелькание при открытии.
* Fixed: Некоторые ошибки 'access violation'.

(Смотрите следующий раздел, если Вы не устанавливали версию 4.2 beta)

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
10 апреля 2003: Friendly Pinger 4.2 beta
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Общее:

+ Added: Новый дизайн сайта: http://www.kilievich.com/rus/fpinger/
+ Added: Форум на сайте для пользовательской поддержки,
         а так же для обмена опытом между пользователями:
         http://www.kilievich.com/rus/fpinger/forum.php

+ Added: Возможность запуска FPinger'а как службу.
+ Added: Поддержка схем Windows XP.
+ Added: Поддержка Total Commander'а.
+ Added: Некоторые изменения в интерфейсе для облегчения работы спродуктом.
+ Added: Новый механизм всплывающих подсказок.
         Теперь они унаследованы от стандартных подсказок Windows
         и ведут себя более естественным образом.

* Fixed: Многие ошибки про Access Violation.
* Fixed: Иконки, измененные пользователем, затирались после переустановки.
* Fixed: Хаотичный переход по клавише Tab во многих диалогах.

Карта:

+ Added: Понимание переменных окружения при выполнении внешних команд.
+ Added: Во внешние команды и в шаблоны оповещения добавлен ключ %IP.
+ Added: Теперь можно использовать любые ключи во внешних командах, например:
         Приложение:   net.exe
         Параметры:    send %Address %Text
         Text будет запрошен. Для ввода паролей используйте ключ %Password
+ Added: Печать выделенного фрагмента карты.
+ Added: Печать карты на нескольких листах (печать транспарантов).
+ Added: Только при установленном Friendly Chat:
         Поиск собеседника в настройках чата, если собеседник в off-line.
+ Added: Таскание объектов только по вертикали или горизонтали,
         удерживая клавишу Shift.
+ Added: Таскание объектов по сетке, удерживая клавишу Ctrl.
+ Added: Выравнивание объектов по сетке.
+ Added: Кнопка возврата на предыдущуу карту (выше на один уровень).
         Горячая клавиша - Backspace.
+ Added: Отображение в статусной строке количества включенных компьютеров.
+ Added: Отображение в статусной строке сколько времени прошло с последнего пингования.
+ Added: В информации о карте показывается количество активных IP адресов
         (включая дополнительные).
+ Added: Перемещение карты при переносе объктов мышкой за пределы экрана.
+ Added: Опция в настройках пингования - экономный режим.
+ Added: Кнопка "Создать копию" в настройках типов устройств.
+ Added: Возможность сброса кэша IP адресов.
+ Added: Подсказки для линий.
+ Added: Отдельный цвет шрифта когда устройство включено и когда выключено.
+ Added: Иконки выключенных устройств затемнены.
+ Added: Улучшены некоторые иконки.
+ Added: Иконки из FPinger 2.x (смотрите файл FPinger\Images.more\Preview.html)
+ Added: Проверка наличия установленного Total Commander'а,
         прежде чем показать его в контекстном меню устройства.

* Fixed: После "Сохранить как", на некоторых версиях Windows
         иногда выскакивала ошибка "Не удалось сохранить карту".
* Fixed: Только при установленном Friendly Chat:
         Если собеседник после поиска в чате не найден,
         все равно происходила активизация чата.
* Fixed: Попытка печати при отсутствии принтера не обрабатывалась и
         активизоровала систему баг-репортов.
* Fixed: Только при установленном Friendly Chat:
         После выделения собеседника в FPinger'е, последний не активизировался.
* Fixed: После перемещения объекта с шифтом, с него снималось выделение.
* Fixed: Ошибка, если сделать откат при добавлении линии.
* Fixed: Исправлены некоторые проблемы с главной панелью управления.
* Fixed: Ошибка конвертации дат при смене страны в Windows.
* Fixed: Исправлены некоторые проблемы с запоминание координат основных окон.
* Fixed: Карта иногда полностью исчезала после отмены изменений.
* Fixed: С устройств, не имеющих адреса, убраны пункты меню для оповещения, пингования и т.д.
* Fixed: Баг со снятием стиля шрифта с подсказок.
* Fixed: Баг, кодировка e-mail сообщений сбрасывалась при переключении языка инвенфейса.
* Fixed: Акселераторы на некоторых надписях не работали.
* Fixed: Баг с "появляющимися" устройствами, после смены карты
         и завершения пингования предыдущей карты.

Соединения:

+ Added: Возможность удаленного просмотра соединений другого компьютера.
+ Added: Еще один способ оповещения: всплывающая подсказка из трея (balloon hint).
+ Added: Приостановка опросов в случае проблемы.

* Fixed: Иконка в трее (красненькая) исчезала в момент пингования.
* Fixed: Баг ConvertToGlobalHandle в Windows 2000 + SP3.

TraceRoute:

+ Added: Журналирование.
+ Added: Настройка - не определять имя хоста.
         В ряде случаев очень сильно ускоряет TraceRoute.
+ Added: Рисование трассы от своего компьютера.
+ Added: Период опроса.

* Fixed: Трассировка прекращалась, если любой из промежуточных адресов не отвечал.

Инвентаризация:

+ Added: Экспорт в базу данных через ADO.
         Пока что поддерживаются только SQL ориентированные базы данных,
         в которых работает оператор Create Table.
         Мы успешно протестировали экспорт в MS Access 2002, Oracle 9, MySQL 3.23.35.
+ Added: Экспорт на Web сайт.
+ Added: Планировщик для автоматического экспорта.
+ Added: При наведении мышкой на компьютер показывается его подсказка.
+ Added: При двойном щелчке по компьютеру он показывается на карте.
+ Added: Улучшен механизм сбора ПО. Теперь проверяется, что программа не удалена вручную.
+ Added: Новые параметры для Collect.exe: -Desktop -StartMenu
         включают сканирование рабочего стола и кнопки Start
         для расширенного поиска программного обеспечения.
         Примечание: такое сканироние обычно происходит за 1-10 секунд,
         но может затянуться и на минуту. Поэтому по умолчанию оно выключено.
         Это довольно сложная операция: найти все ярлыки в кнопке Start
         у всех пользователей за данным компьютером,
         узнать на какие приложения они ссылаются
         и вытащить из соответствующих exe-файлов информацию о приложении,
         компании-разработчике и комментарий.
         Но мы приложили массу усилий для ускорения этого процесса.
+ Added: Сбор инвентаризации с компьютеров, которые не в сети - "обход с дискеткой".
         Команда для сбора на дискетку: Collect.exe -f:a:\
         Для импорта с дискетки, в окне инвентаризации: "Файл | Импорт...".
+ Added: Тайм-аут для отправления инвентаризации: Collect.exe -s:your_computer -t:2000.
+ Added: Дополнительный контроль прав доступа при определении информации о биосе в Windows 9x.
+ Added: Дополнительный способ определения названия BIOS'а в Windows 9x.
+ Added: Полностью переделано определение версии Windows.
+ Added: Развернуть и свернуть для отделов.
+ Added: Сбор полного имени пользователя (если задано) для Windows NT, 2000, XP.
+ Added: Возможность удаления старых компьютеров.
+ Added: "Правка | Объединить два компьютера".
+ Added: Синхронизация инвентаризаций: "Файл | Импорт...".
+ Added: Сбор дополнительных параметров с удаленного компьютера
         Для этого, на удаленном компьютере должен присутствовать файл
         C:\Invenory.txt или C:\Invenory.ini, следующего формата. Пример:
           Serial Number: 123
           Additional = компьютер Васи Пупкина
         В настройках инвентаризации должны присутствовать соответствующие
         дополнительные параметры для компьютера:
         "Параметры | Настройка... | Дополнительные параметры для компьютера".
+ Added: Контекстное меню для компьютера - "Перенести в отдел".
+ Added: Улучшен сбор оборудования в Windows 95
+ Added: Поддержка определения Windows 2003 family.
+ Added: Допонительный параметр для collect.exe: -root
         Позволяет искать всё подряд. Находится много логических устройств,
         которые не нужны в большинстве случаев, но некоторым потребовалось.
+ Added: Поиск компьютеров по имени, адресу, названию устройства и т.д.
+ Added: Определение IEEE 1394 устройств.
+ Added: Определение многопортовых последовательных адаптеров.
+ Added: Улучшено определение скорости процессора при сборе через collect.exe.
+ Added: Возможность ручного добавления компьютеров.
+ Added: Отображение сколько всего устройств данного типа в отчетах.
+ Added: Новый тип отчета: "Оборудование | Общее...".
         Настраивается в "Настройка | Отчет по компьютеру...".
+ Added: Тип данных BIGINT заменен на INTEGER (в Templates\SQL.sql),
         т.к. его отсутствие в некоторых базах данных
         вызывало много вопросов, на что его заменить.
         Теперь размер дисков при экспорте в базу данных заносится в мегабайтах.
+ Added: Колонки VALUE (в Templates\SQL.sql) заменены на CUR_VALUE,
         т.к. VALUE - это зарезервированное слово в MS Access.
 
* Fixed: Иногда инвентаризация не собиралась в результате сбоя при определении MAC адреса.
* Fixed: Windows NT иногда не определялась.
* Fixed: Неправильное определение того, что принтер сетевой.
* Fixed: При выборе компьютера и входе в инвентарицию он перестал выделяться.
* Fixed: Можно было редактировать имена компьютеров в списке.
* Fixed: Неправильное определение разрешения монитора в Windows 95.
* Fixed: HID (Human Interface Devices) на некоторых версиях Windows не определялись.
* Fixed: Дата в отчетах по оборудованию могла быть только до списка устройств.
* Fixed: Сетевые карты и некоторые другие устройства не находились в Windows XP.

Примечания:

1. Это бета версия. Все новые возможности будут документированы только в релизе.
2. NetSend оказывается уже давно можно было использовать, через запуск внешних приложений
   (Net.exe send %Text ...). Аналогично Reboot, Shutdown и т.д.
3. Предложение "показывать на устройствах маленькие вопросики пока они пингуются" отменено,
   т.к. вызвало существенное замедление работы в результате постоянной перерисовки.
4. До этого момента история велась только на английском языке.
   Для продолжения смотрите файл history.txt.
